(Legacy) Get Audit Logs for an Account
(Legacy) Get Audit Logs for an Account
Fetch audit logs with some filtering capabilities via query params
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
account_id
Query parameters
filter[item_id]
Filter by Item ID (Asset ID, Project ID, User ID)
filter[inserted_at][op]
Filter by log datetime using logical operators
Allowed values:
filter[inserted_at][value]
ISO Datetime
filter[item_type]
Filter by Item Type
filter[action]
Filter by Action
filter[actor_id]
Filter by Actor ID
filter[team_id]
Filter by Team ID
filter[ip_address]
Filter by IP Address
This supports both IPv4 (1.1.1.1) and IPv6 (2001:db8:3333:4444:5555:6666:7777:8888)
page
Page number
page_size
Records per page
Response headers
link
Pagination links
page-number
Current page of results
per-page
Number of entries per page
total
Total entries across all pagess
total-pages
Number of pages
Response
Audit logs list response
account_id
action
actor
actor_id
application_id
inserted_at
ip_address
item_id
item_type
request_id
resource
team_id
updated_at
Errors
401
Unauthorized Error
404
Not Found Error